# List TikTok ad identities

Returns TikTok ad identities. Works with TikTok Ads.

```http
GET https://api.pozy.ai/v1/ads/tiktok-identities
```

- Area: Ads / Ad Creatives
- Auth: Authorization: Bearer pz_live_...

## Query parameters

- `accountId` (string, required)
- `adAccountId` (string, required)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/ads/tiktok-identities?accountId=696e0b682d0a31188e7a2ba9&adAccountId=666219aad7bab67ace411e4f" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/ads/tiktok-identities?accountId=696e0b682d0a31188e7a2ba9&adAccountId=666219aad7bab67ace411e4f", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/ads/tiktok-identities",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "adAccountId": "666219aad7bab67ace411e4f",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `adAccountId`, string
- `identities`, array of object
  - `identityId`, string
  - `identityType`, string: One of `TT_USER`, `BC_AUTH_TT`, `CUSTOMIZED_USER`
  - `displayName`, string: Can be null
  - `username`, string: Can be null
  - `profileImage`, string: Can be null
  - `identityAuthorizedBcId`, string: Can be null

```json
{
  "adAccountId": "666219aad7bab67ace411e4f",
  "identities": [
    {
      "identityId": "677d7bec579c1ba703d97ae7",
      "identityType": "TT_USER",
      "displayName": "Acme",
      "username": "acme",
      "profileImage": "string",
      "identityAuthorizedBcId": "6de040158e5c20b77f909c96"
    }
  ]
}
```
